# schneider cpc6128 data loading

## setting up audio conversion

Download disk file

- a precompiled unix x86_64 bin should be available next to this file
- otherwise, if on unix compile it yourself like this
  - http://www.worldofspectrum.org/pub/sinclair/tools/unix/playtzx-0.12c.tar.gz
  - extract it
  - run ./configure
  - run make
- if on another platform, search here http://www.worldofspectrum.org/utilities.html

## getting a game

- Search a game on https://www.cpc-power.com/
- Click on the cassette icon
- Download the .cdt file

## converting to audio

```sh
./playtzx -voc -freq 22050 <diskfile>.cdt diskaudio.voc
ffmpeg -i diskaudio.voc diskaudio.ogg
```
if ogg isn't high enough resolution you can convert to wav instead

(optional) to trim silence of the audio file

```sh
mp3splt -r diskaudio.ogg
```
